Subject: Re: sky2 rx errors printing to the console

From: Ben Hutchings <[email-masked]>
Date: Wed, 15 Oct 2008 15:05:30 +0100

On Wed, 2008-10-15 at 14:40 +0100, Andrew Paprocki wrote:
> Does anyone know if these status values imply what is wrong? Could
> this be caused by a faulty cable?

Looking at the code around this message, it appears that least
over/under-length, framing and CRC errors (and maybe others) can trigger
this.  A faulty cable could certainly result in these sorts of errors,
most likely CRC errors.

"grep -r . /sys/class/net/eth0/statistics/" will show you detailed error
statistics for eth0.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.